glibmm 2.52.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glib::RecMutex::Lock Class Reference

Utility class for exception-safe locking of recursive mutexes. More...

`#include <glibmm/thread.h>`

## Public Member Functions
| Lock (RecMutex& mutex)
| Lock (RecMutex& mutex, NotLock)
| Lock (RecMutex& mutex, TryLock)
| Lock (const RecMutex::Lock&)=delete
RecMutex::Lock& | operator= (const RecMutex::Lock&)=delete
| ~Lock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of recursive mutexes.

Deprecated:
  Use Glib::Threads::RecMutex instead.

## Constructor & Destructor Documentation

Glib::RecMutex::Lock::Lock | ( | RecMutex& | mutex | ) |
| inline explicit

Glib::RecMutex::Lock::Lock | ( | RecMutex& | mutex,
|  | NotLock |
| ) |  |
| inline

Glib::RecMutex::Lock::Lock | ( | RecMutex& | mutex,
|  | TryLock |
| ) |  |
| inline

Glib::RecMutex::Lock::Lock | ( | const RecMutex::Lock& |  | ) |
| delete

Glib::RecMutex::Lock::~Lock | ( |  | ) |
| inline

## Member Function Documentation

void Glib::RecMutex::Lock::acquire | ( |  | ) |
| inline

bool Glib::RecMutex::Lock::locked | ( |  | ) | const
| inline

RecMutex::Lock& Glib::RecMutex::Lock::operator= | ( | const RecMutex::Lock& |  | ) |
| delete

void Glib::RecMutex::Lock::release | ( |  | ) |
| inline

bool Glib::RecMutex::Lock::try_acquire | ( |  | ) |
| inline